import { EventEmitter } from "../../stencil-public-runtime";
export declare class EzCalendar {
  private _container;
  private _box;
  private _floatingID;
  private _calendarHeight;
  private _calendarWidth;
  private _currentPosition;
  private _firstRender;
  private _hoursLabel;
  private _minutosLabel;
  private _hoursSelect;
  private _minutesSelect;
  private _secondsSelect;
  private _hoursScroll;
  private _minutesScroll;
  private _secondsScroll;
  private i18n;
  _hostElem: HTMLEzCalendarElement;
  /**
   * Define o valor do calendário.
   */
  value: Date;
  /**
   * Define se a exibição do ez-calendar será feita pelos métodos `show()` e `hide()`.
   */
  floating: boolean;
  /**
   * Se true a data considera horas e minutos.
   */
  time: boolean;
  /**
   * Se true a data considera segundos. Deve ser usado em conjunto com a propriedade `time`.
   */
  showSeconds: boolean;
  /**
   * Emitido quando acontece a alteração de valor do calendário.
   */
  ezChange: EventEmitter<Date>;
  /**
   * Exibe o ez-calendar em uma posição determinada.
   * É possível determinar o posicionamento através dos parâmetros, no formato css.
   */
  show(top?: string, left?: string, bottom?: string, right?: string): Promise<void>;
  /**
   * Ajusta o posicionamento vertical do ez-calendar conforme a disponibilidade de espaço.
   */
  fitVertical(topOffset: number, bottomOffset: number): Promise<void>;
  /**
   * Ajusta o posicionamento horizontal do ez-calendar conforme a disponibilidade de espaço.
   */
  fitHorizontal(rightOffset: number): Promise<void>;
  /**
   * Oculta o ez-calendar.
   */
  hide(): Promise<void>;
  observeValue(): void;
  scrollListener(): void;
  private isFixed;
  private getMonthLabel;
  private isSelectedDate;
  private changeMonth;
  private selectDate;
  private selectHours;
  private selectMinutes;
  private selectSeconds;
  updateScroll(element: HTMLElement): void;
  componentWillLoad(): Promise<void>;
  componentDidRender(): void;
  componentDidLoad(): void;
  private scroll;
  render(): any;
}
